--
-- aiCombineNightlight1
--
-- @author  Jack
-- @date  01/05/09
--
-- Copyright (C) Jack

aiCombineNightlight1 = {};

function aiCombineNightlight1.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function aiCombineNightlight1:load(xmlFile)
end;

function aiCombineNightlight1:keyEvent(unicode, sym, modifier, isDown)
end;

function aiCombineNightlight1:update(dt)

	if g_currentMission.environment ~= nil and g_currentMission.environment.dayNightCycle and
              (g_currentMission.environment.dayTime > (19.5*1000*60*60) or g_currentMission.environment.dayTime < (5.5*1000*60*60)) and
              not self.lightsActive and self.isHired and not self.steeringEnabled then
		self.lightsActive = true;
	end;

	if not self.isHired and self.lightsActive and not self.isEntered or not g_currentMission.environment.dayNightCycle then
		self.lightsActive = false;
	end;


    for k, light in pairs(self.lights) do
        setVisibility(light, self.lightsActive);
    end; 

end;

function aiCombineNightlight1:draw()
end;

function aiCombineNightlight1:onEnter()
end;

function aiCombineNightlight1:onLeave()
end;

function aiCombineNightlight1:delete()
end;

function aiCombineNightlight1:mouseEvent(posX, posY, isDown, isUp, button)
end;






